%define upstream_name    Dist-Zilla-Plugin-Test-PodSpelling
%define upstream_version 2.006001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Release tests for POD spelling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Wordlist::hanekomu)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Script) >= 1.50.0
BuildRequires: perl(Test::Spelling) >= 0.120.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-PodSpellingTests <= 1.111.520
Provides:   perl-Dist-Zilla-Plugin-PodSpellingTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/pod-spell.t - a standard Test::Spelling test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 534153
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 2.6.1-1.mga4
+ Revision: 476323
- update to 2.006001

* Fri Jun 07 2013 jquelin <jquelin> 2.6.0-1.mga4
+ Revision: 439183
- update to 2.006000

* Sun Jan 13 2013 umeabot <umeabot> 2.2.6-2.mga3
+ Revision: 366511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.2.6-1.mga3
+ Revision: 342105
- update to 2.002006

* Wed Jul 04 2012 jquelin <jquelin> 2.2.5-1.mga3
+ Revision: 267330
- update to 2.002005

* Tue Jun 05 2012 jquelin <jquelin> 2.2.4-1.mga3
+ Revision: 254910
- update to 2.002004

* Wed Jan 25 2012 jquelin <jquelin> 2.2.1-1.mga2
+ Revision: 200867
- update to 2.002001

* Thu Dec 15 2011 jquelin <jquelin> 2.1.4-1.mga2
+ Revision: 181816
- update to 2.001004

* Mon Aug 29 2011 jquelin <jquelin> 2.0.0-1.mga2
+ Revision: 136024
- update to v2.0.0
- dist renamed upstream

* Wed Jun 15 2011 jquelin <jquelin> 1.111.520-1.mga2
+ Revision: 106873
- update to 1.111520

* Fri Feb 25 2011 jquelin <jquelin> 1.103.491-1.mga1
+ Revision: 59763
- update to 1.103491

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40527
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PodSpellingTests

